Bug 1733024 - Review Request: python-vevents - vSphere Events from the command-line
Summary: Review Request: python-vevents - vSphere Events from the command-line
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1700537 1733025 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 03:38 UTC by Raphael Groner
Modified: 2019-08-17 00:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-11 01:12:32 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Raphael Groner 2019-07-25 03:38:47 UTC
Spec URL: https://raphgro.fedorapeople.org/review/misc//python-vevents.spec
SRPM URL: https://raphgro.fedorapeople.org/review/misc//python-vevents-0.1.0-0.1.20149631git.fc30.src.rpm

Description:
vEvents is an application that allows you to view and monitor
VMware vSphere Events from the command-line.

Comment 1 Raphael Groner 2019-07-25 03:38:50 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=36492310

Comment 2 Raphael Groner 2019-07-25 03:39:22 UTC
*** Bug 1700537 has been marked as a duplicate of this bug. ***

Comment 3 Raphael Groner 2019-07-25 03:43:25 UTC
Planned branches: rawhide, f30, epel7

Comment 4 Raphael Groner 2019-07-25 03:47:22 UTC
*** Bug 1733025 has been marked as a duplicate of this bug. ***

Comment 5 Robert-André Mauchin 2019-07-25 17:50:30 UTC
 - date must be the date you took the snapshot, not the date of the commit:

%global date0   20149631

 - you need to add the shortcommit to the Release tag:

%global shortcommit0     %(c=%{commit0}; echo ${c:0:7})

Release:        0.1.%{date0}git%{shortcommit0}%{?dist}

 - Use:

 Source0:        %{url}/archive/%{commit0}/%{name}-{shotcommit0}.tar.gz

 - # guess BSD, PR#2

There is no "guess" check the header: https://github.com/dnaeon/py-vevents/blob/master/src/vevents-cli

Comment 7 Robert-André Mauchin 2019-07-29 16:05:05 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* BSD (unspecified)",
     "BSD 2-clause "Simplified" License". 3 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/python-
     vevents/review-python-vevents/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-vevents-0.1.0-0.1.20149631git3ff37a2.fc30.noarch.rpm
          python-vevents-0.1.0-0.1.20149631git3ff37a2.fc30.src.rpm
python3-vevents.noarch: W: spelling-error Summary(en_US) VMware -> Firmware
python3-vevents.noarch: W: spelling-error Summary(en_US) vSphere -> v Sphere, sphere
python3-vevents.noarch: W: spelling-error %description -l en_US vSphere -> v Sphere, sphere
python3-vevents.noarch: W: no-manual-page-for-binary vevents-cli
python-vevents.src: W: spelling-error Summary(en_US) VMware -> Firmware
python-vevents.src: W: spelling-error Summary(en_US) vSphere -> v Sphere, sphere
python-vevents.src: W: spelling-error %description -l en_US vSphere -> v Sphere, sphere
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

Comment 9 Gwyn Ciesla 2019-07-30 12:50:10 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-vevents

Comment 10 Fedora Update System 2019-07-30 16:05:56 UTC
FEDORA-EPEL-2019-943f92477a has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-943f92477a

Comment 11 Fedora Update System 2019-07-30 16:07:05 UTC
FEDORA-2019-5a62974b12 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5a62974b12

Comment 12 Fedora Update System 2019-07-31 03:40:33 UTC
python-vevents-0.1.0-0.1.20149631git3ff37a2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-85639d3759

Comment 13 Fedora Update System 2019-07-31 03:48:13 UTC
python-vevents-0.1.0-0.1.20149631git3ff37a2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-943f92477a

Comment 14 Fedora Update System 2019-08-01 12:30:48 UTC
FEDORA-EPEL-2019-2b31c26ed7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-2b31c26ed7

Comment 15 Fedora Update System 2019-08-01 12:45:09 UTC
FEDORA-2019-85639d3759 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-85639d3759

Comment 16 Fedora Update System 2019-08-02 00:55:05 UTC
python-vevents-0.1.0-0.2.20149631git3ff37a2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-85639d3759

Comment 17 Fedora Update System 2019-08-02 01:06:32 UTC
python-vevents-0.1.0-0.2.20149631git3ff37a2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-2b31c26ed7

Comment 18 Fedora Update System 2019-08-11 01:12:32 UTC
python-vevents-0.1.0-0.2.20149631git3ff37a2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-08-17 00:40:39 UTC
python-vevents-0.1.0-0.2.20149631git3ff37a2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.